Update job information
curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/jobInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"jobInfo": {
"startDate": "2023-01-01",
"employeeNumber": "1",
"title": "Software Engineer",
"department": "Product",
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
],
"entityId": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
}
}
'import requests
url = "https://api.cadanapay.com/v1/persons/{personId}/jobInfo"
payload = {
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"jobInfo": {
"startDate": "2023-01-01",
"employeeNumber": "1",
"title": "Software Engineer",
"department": "Product",
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
],
"entityId": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compInfo: {type: 'net', frequency: 'monthly', employmentModel: 'eor'},
jobInfo: {
startDate: '2023-01-01',
employeeNumber: '1',
title: 'Software Engineer',
department: 'Product',
customFields: [{id: '8ef9a712-cdae-4110-b1ea-9ba95abbee6e', name: 'Tshirt Size', value: 'M'}],
entityId: '37ad8c1e-0187-4e10-8c54-395e3385b4d2'
}
})
};
fetch('https://api.cadanapay.com/v1/persons/{personId}/jobInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Persons
Update job information
Update a person’s job information
PUT
/
v1
/
persons
/
{personId}
/
jobInfo
Update job information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the person
Body
application/json
Response
Successful operation
⌘I